<odoo>
  <data>
    <!-- explicit list view definition -->
    <record model="ir.ui.view" id="elektromery.list">
      <field name="name">elektromery list</field>
      <field name="model">elektromery.elektromery</field>
      <field name="arch" type="xml">
        <tree>
          <field name="cislo" optional="show"/>
          <field name="name"/>
          <field name="devname"/>
          <field name="impulse" optional="hide"/>
          <field name="lastwh"/>
          <field name="lasttime"/>
          <field name="active" widget="boolean_toggle"/>
        </tree>
      </field>
    </record>
    <record model="ir.ui.view" id="elektromery.elektromery_view_search">
      <field name="name">elektromery search</field>
      <field name="model">elektromery.elektromery</field>
      <field name="arch" type="xml">
        <search string="Data">
          <filter name="inactive" string="Archived" domain="[('active', '=', False)]"/>
          <!--          <filter string="Datum" name="filter_date" date="date" default_period="this_year"/>-->
          <group expand="0" string="Group By">
            <filter name="groupby_sds" string="SDS" context="{'group_by': 'sds'}"/>
          </group>
          <searchpanel>
            <field name="sds"/>
          </searchpanel>
        </search>
      </field>
    </record>


    <!-- actions opening views on models -->
    <record model="ir.actions.act_window" id="elektromery.action_window">
      <field name="name">Seznam elektroměrů</field>
      <field name="res_model">elektromery.elektromery</field>
      <field name="view_mode">tree,form</field>
    </record>

    <record model="ir.ui.view" id="elektromery.sds">
      <field name="name">sds list</field>
      <field name="model">elektromery.sds</field>
      <field name="arch" type="xml">
        <tree>
          <field name="name"/>
          <field name="url" optional="show"/>
          <field name="devid" optional="hide"/>
        </tree>
      </field>
    </record>

    <record model="ir.actions.act_window" id="elektromery.action_window_sds">
      <field name="name">Seznam zařízení</field>
      <field name="res_model">elektromery.sds</field>
      <field name="view_mode">tree,form</field>
    </record>


    <record model="ir.ui.view" id="elektromery.hodnoty">
      <field name="name">hodnoty list</field>
      <field name="model">elektromery.hodnoty</field>
      <field name="arch" type="xml">
        <tree>
          <field name="elektromer"/>
          <field name="date"/>
          <field name="wh"/>
        </tree>
      </field>
    </record>
    <record model="ir.ui.view" id="elektromery.hodnoty_graph">
      <field name="name">elektromery graph</field>
      <field name="model">elektromery.hodnoty</field>
      <field name="arch" type="xml">
        <graph string="Wh graph">
          <field name="date" interval="day"/>
          <field name="elektromer" type="col"/>
          <!--<field name="sds" type="col"/>-->
          <field name="wh" type="measure"/>
        </graph>
      </field>
    </record>
    <record model="ir.ui.view" id="elektromery.hodnoty_pivot">
      <field name="name">elektromery pivot</field>
      <field name="model">elektromery.hodnoty</field>
      <field name="arch" type="xml">
        <pivot string="Pivot">
          <!--<field name="sds" type="row"/>-->
          <field name="elektromer" type="row"/>
          <field name="date" type="col" interval="day" />
          <field name="wh" type="measure"/>
        </pivot>
      </field>
    </record>

    <record model="ir.ui.view" id="elektromery.hodnoty_view_search">
      <field name="name">hodnoty search</field>
      <field name="model">elektromery.hodnoty</field>
      <field name="arch" type="xml">
        <search string="Data">
          <filter string="Datum" name="filter_date" date="date" default_period="this_year"/>
          <!--          <group expand="0" string="Group By">
            <filter name="groupby_date" string="Date" context="{'group_by': 'date'}"/>
          </group>-->
          <searchpanel view_types="tree,kanban,graph,pivot">
            <field name="sds" select="multi"/>
          </searchpanel>
        </search>
      </field>
    </record>

    <record model="ir.actions.act_window" id="elektromery.action_window_hodnoty">
      <field name="name">Diferenciální odečty</field>
      <field name="res_model">elektromery.hodnoty</field>
      <field name="view_mode">pivot,graph,tree,form</field>
      <field name="context">{'search_default_filter_date': True}</field>
    </record>

    <record model="ir.ui.view" id="elektromery.data">
      <field name="name">hodnoty list</field>
      <field name="model">elektromery.data</field>
      <field name="arch" type="xml">
        <tree>
          <field name="sds"/>
          <field name="elektromer"/>
          <field name="date"/>
          <field name="wh"/>
        </tree>
      </field>
    </record>

    <record model="ir.actions.act_window" id="elektromery.action_window_data">
      <field name="name">Odečty</field>
      <field name="res_model">elektromery.data</field>
      <field name="view_mode">tree,form</field>
    </record>



    <!-- server action to the one above -->
<!--
    <record model="ir.actions.server" id="elektromery.action_server">
      <field name="name">elektromery server</field>
      <field name="model_id" ref="model_elektromery_elektromery"/>
      <field name="state">code</field>
      <field name="code">
        action = {
          "type": "ir.actions.act_window",
          "view_mode": "tree,form",
          "res_model": model._name,
        }
      </field>
    </record>
-->

    <!-- Top menu item -->
    <menuitem name="Elmont" id="elektromery.menu_root"/>
    <!-- menu categories -->
    <menuitem name="Elektroměry" id="elektromery.menu_1" parent="elektromery.menu_root"/>
    <menuitem name="Nastavení" id="elektromery.menu_2" parent="elektromery.menu_root"/>
    <!-- actions -->
    <menuitem name="Diferenciální odečty" id="elektromery" parent="elektromery.menu_1"  action="elektromery.action_window_hodnoty" sequence="10"/>
    <menuitem name="Odečty" id="elektromery_raw" parent="elektromery.menu_1"  action="elektromery.action_window_data" sequence="15"/>
    <menuitem name="Seznam elektroměrů" id="elektromery.menu_1_list" parent="elektromery.menu_2" action="elektromery.action_window" sequence="10"/>
    <menuitem name="Seznam zařízení" id="elektromery.sds_list" parent="elektromery.menu_2" action="elektromery.action_window_sds" sequence="20"/>
  </data>
</odoo>
